<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateVentaDatosFacturas extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('venta_datos_facturas')
			->addColumn('venta_id', 'integer', ['length' => 10, 'signed' => false])
            ->addColumn('fecha', 'date')
            ->addColumn('uf', 'string', ['length' => 50]) // fecha, valor
            ->addColumn('ipc', 'string', ['length' => 50]) // fecha, valor
            ->addColumn('terreno', 'integer', ['signed' => false])
            ->addColumn('unidades', 'text') // id, precios, prorrateo
			->addForeignKey('venta_id', 'venta', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
